(*^

::[paletteColors = 128; currentKernel; 
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e8,  24, "Times"; ;
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e6,  18, "Times"; ;
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, L1, e6,  14, "Times"; ;
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, L1, a20,  18, "Times"; ;
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, L1, a15,  14, "Times"; ;
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, L1, a12,  12, "Times"; ;
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = input, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L1,  12, "Courier"; ;
	fontset = output, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; ;
	fontset = message, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = print, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = info, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287, L1,  12, "Courier"; ;
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic, L1,  10, "Times"; ;
	fontset = header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = Left Header, nohscroll, cellOutline,  12;
	fontset = footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, L1,  12;
	fontset = Left Footer, cellOutline, blackBox,  12;
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12, "Courier"; ;
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	next21StandardFontEncoding; ]
:[font = title; inactive; Cclosed; preserveAspect; startGroup; ]
Lab 2:  Lines in Two Dimensions
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Introduction
:[font = text; inactive; preserveAspect; endGroup; ]
Among all functions, the linear functions are the simplest.  Their graphs are straight lines.  In this lab we see how Mathematica can help us visualize and analyze linear functions in two dimensions.
;[s]
3:0,0;118,1;129,2;200,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
The Slope-Intercept Form
:[font = text; inactive; preserveAspect; ]
The slope-intercept form of the equation of a line is the form that most people learn first.  The form is  y = m x + b,  where  m  is the slope, and  b  is the y-intercept.
;[s]
17:0,0;107,1;108,2;111,3;112,4;113,5;114,6;117,7;118,8;128,9;129,10;138,11;143,12;150,13;151,14;160,15;171,16;173,-1;
17:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Examples
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Here is the graph of the linear function  y = 2x + 1:
:[font = input; preserveAspect; ]
Plot[ 2x+1, {x,-2,2} ];
:[font = text; inactive; preserveAspect; endGroup; ]
This line has slope  m = 2   and y-intercept  b = 1 . 
;[s]
5:0,0;21,1;22,2;46,3;47,4;55,-1;
5:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
If the line doesn't look steep enough to have a slope of 2, it is because the scale on the x-axis is larger than that on the y-axis.  The option  AspectRatio -> Automatic  can be used to force the scales to be the same on both axes:
;[s]
7:0,0;91,1;92,2;125,3;126,4;144,5;172,6;233,-1;
7:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
Plot[ 2x+1, {x,-2,2}, AspectRatio -> Automatic ];
:[font = text; inactive; preserveAspect; endGroup; ]
In this version, it is clear that the "rise over run" is 2 / 1 .  The height of the triangle that the line forms with the coordinate axes is twice its width.
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Recall that changing the y-intercept merely shifts the line up or down:
;[s]
3:0,0;25,1;26,2;72,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
Plot[ {2x-1,2x,2x+1,2x+3,2x+7}, {x,-2,2} ];
:[font = text; inactive; preserveAspect; endGroup; ]
Here, we are able to graph several lines simultaneously by enclosing their functional expressions within braces: {2x-1,2x+1,2x+3,2x+7}.
;[s]
3:0,0;112,1;134,2;136,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Changing the slope rotates the line about its y-intercept:
;[s]
3:0,0;46,1;47,2;59,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
Plot[ {-x+1,1,x+1,2x+1,3x+1}, {x,-2,2} ];
:[font = text; inactive; preserveAspect; endGroup; ]
Recall that lines with positive slope rise from left to right, while lines with negative slope fall from left to right.
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
A horizontal line has slope  m = 0 .  In contrast, a vertical line has no (numerical) slope nor y-intercept.  (Geometrically, the slope of a vertical line is infinite.)
;[s]
5:0,0;29,1;30,2;96,3;97,4;169,-1;
5:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = section; inactive; Cclosed; pageBreak; preserveAspect; startGroup; ]
The Point-Slope Form
:[font = text; inactive; preserveAspect; ]
The slope-intercept form of the equation of a line is a special case of the point-slope form.  This form is  y - y0 = m (x - x0),  where (x0,y0) is the given point, and  m  is the given slope.  If the given point happens also to be the y-intercept, then  x0 = 0 and the point-slope form becomes y - y0 = m x.  This is equivalent to the slope-intercept form  
y = m x + b, where the y-intercept is  b = y0 .
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Example
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Here is the line through the point (1,3) with slope m = 2:
;[s]
3:0,0;52,1;53,2;59,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
Plot[ 2(x-1)+3, {x,-2,2} ];
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
To check that this line really does pass through the point (1,3), click on the graph with the mouse to select it.  Then hold the Command key down and move the cursor near the point on the line where x = 1.  As you move the mouse, the coordinates of the cursor (shown as "cross-hairs") appear at the right end of the status line at the bottom of this Mathematica window.  Try to get those coordinates to read  {1,3.016}.  When they do, the cursor should almost be on the line.
;[s]
9:0,0;128,1;137,2;199,3;200,4;350,5;361,6;409,7;418,8;476,-1;
9:1,11,8,Times,0,12,0,0,0;1,11,9,Helvetica,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,14,11,Times,0,16,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Exercises
:[font = text; inactive; preserveAspect; ]
Plot each of the lines descripbed below:
:[font = text; inactive; preserveAspect; ]
1.  The line through the point  (2,3)  with slope  2 .
:[font = text; inactive; preserveAspect; ]
2.  The line through the point  (2,3)  with slope  -1 .
:[font = text; inactive; preserveAspect; ]
3.  The line through the point  (0,3)  with slope  2 .
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
4.  The line through the point  (2,0)  with slope  3 .
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
The Parametric Form
:[font = text; inactive; preserveAspect; ]
In Mathematica, graphs are often easier to work with in parametric form.  This form, which extends easily to general curves in two and three dimensions, suggests motion by locating a point  (x,y)  on the line at each time  t .  It was the original idea that Rene Descartes had when he invented analytic geometry.
:[font = subsection; inactive; Cclosed; pageBreak; preserveAspect; startGroup; ]
Example
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Imagine a particle moving along the line graphed in the previous example.  Suppose it is at the point  (1,3)  at time  t=0, and it is at the point  (2,5)  at the time t=1.  These two points determine the line.  And, by specifying the times at these points, we further determine the velocity of the particle: 1 unit to the right and 2 units up every second.
;[s]
5:0,0;119,1;120,2;167,3;168,4;357,-1;
5:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
To obtain parametric equations for this motion, first consider the x-direction.  The particle's x-coordinate at times t=0 and t=1 are x=1 and x=2.  Assuming that the velocity is constant, then the x-coordinate depends upon time t according to the equation  x = t + 1.
;[s]
23:0,0;10,1;30,2;67,3;68,4;96,5;97,6;118,7;119,8;126,9;127,10;134,11;135,12;142,13;143,14;197,15;198,16;228,17;229,18;257,19;258,20;261,21;263,22;268,-1;
23:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
We can determine the equation for the y-coordinate the same way:  y=3  when t = 0, and  y=5 when t = 1 .  In 1 second y increases by 2, so the coefficient of t must be 2.  Thus the equation is  y = 3 + 2t .  (The number 3  is due to the fact that  y=3  when  t=0.)
;[s]
23:0,0;38,1;39,2;66,3;67,4;76,5;77,6;88,7;89,8;97,9;98,10;118,11;119,12;158,13;160,14;194,15;195,16;203,17;204,18;248,19;249,20;259,21;260,22;265,-1;
23:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; endGroup; ]
We have derived parametric equations for the line:
                                                                                       x = 1 + t
                                                                                       y = 3 + 2t
                                                                                       
They are called "parametric" equations because they are related to each other through the variable  t   which is called the "parameter."
;[s]
11:0,0;138,1;139,2;146,3;147,4;235,5;236,6;244,7;245,8;434,9;436,10;471,-1;
11:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Here's how we plot (2-dimensional) parametric equations in Mathematica:
;[s]
3:0,0;59,1;70,2;72,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
ParametricPlot[ {1+t,3+2t}, {t,-2,2} ];
:[font = text; inactive; preserveAspect; ]
The x-function and the y-function are listed together with braces:  {1+t,3+2t}.
;[s]
7:0,0;4,1;5,2;23,3;24,4;67,5;78,6;80,-1;
7:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]

Notice that the plot range  {t,-2,2}  is given for the parameter  t .  The line extends from the point (-1,-1) to the point (3,7)  because those are the locations for t=-2 and t=2.
;[s]
9:0,0;28,1;38,2;66,3;68,4;168,5;169,6;177,7;178,8;181,-1;
9:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Exercises
:[font = text; inactive; preserveAspect; ]
Parametrize each of the following lines.  Make the given point the location at t = 0 .  Then use the ParametricPlot command to check that they have the same graph as obtained in the previous section.
;[s]
5:0,0;79,1;81,2;100,3;116,4;200,-1;
5:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
1.  The line through the point  (2,3)  with slope  2 .
:[font = text; inactive; preserveAspect; ]
2.  The line through the point  (2,3)  with slope  -1 .
:[font = text; inactive; preserveAspect; ]
3.  The line through the point  (0,3)  with slope  2 .
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
4.  The line through the point  (2,0)  with slope  3 .
:[font = section; inactive; Cclosed; pageBreak; preserveAspect; startGroup; ]
The Vector Form
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Example
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
The following function definition defines the two-dimensional vector-valued function whose image is the line graphed above.
:[font = input; preserveAspect; ]
Clear[f];
f[t_] := { 1+t, 3+2t }
:[font = text; inactive; preserveAspect; ]
Now the ParametricPlot comand shows that the line really is the image of f:
;[s]
5:0,0;7,1;23,2;72,3;74,4;76,-1;
5:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
ParametricPlot[ f[t], {t,-2,2} ];
:[font = text; inactive; preserveAspect; endGroup; ]
(Ignore the warning message; it is caused by f being defined as a vector function.)
;[s]
3:0,0;44,1;47,2;84,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
The position of the moving particle at any time t is given by the function f.  For example, the positions at times t = 0, t = 1, and t = 2 are: the points:
;[s]
11:0,0;47,1;50,2;74,3;76,4;115,5;116,6;122,7;123,8;133,9;134,10;156,-1;
11:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
f[0]
:[font = input; preserveAspect; ]
f[1]
:[font = input; preserveAspect; endGroup; endGroup; ]
f[2]
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Exercises
:[font = text; inactive; preserveAspect; ]
For each of the following, find the vector-valued function f whose image is the line described.  Then use the  ParametricPlot  command to graph the line.
;[s]
5:0,0;58,1;61,2;109,3;127,4;154,-1;
5:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
1. The line through  (1,5)  and  (2,2) .
:[font = text; inactive; preserveAspect; ]
2. The line through  (1,5)  and  (4,2) .
:[font = text; inactive; preserveAspect; ]
3. The line through  (1,5)  and  (1,2) .
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
4. The line through  (1,5)  and  (5,5) .
:[font = section; inactive; Cclosed; pageBreak; preserveAspect; startGroup; ]
The Velocity Vector
:[font = text; inactive; preserveAspect; ]
The velocity vector is simply the derivative of the vector-valued function.  If the function is linear, then its velocity vector is constant.
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Examples
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
The velocity vector for our previous function is the constant:
:[font = input; preserveAspect; ]
f[t_] := { 1+t, 3+2t };
f'[t]
:[font = text; inactive; preserveAspect; endGroup; ]
This vector { 1 , 2 }  is the velocity vector.  It shows that, during each 1-second interval, the particle moves 1 unit to the right and 2 units upward.
:[font = text; inactive; preserveAspect; ]
The velocity vector gives the change in x and the change in y during the same time interval.  Therefore, the ratio of the change in y to change in x is the slope of the line.  That is, if   f'[t]  = {a,b},  then the slope is  b/a .
;[s]
22:0,0;40,1;41,2;60,3;61,4;132,5;133,6;147,7;148,8;190,9;191,10;192,11;193,12;194,13;200,14;201,15;202,16;203,17;226,18;227,19;228,20;229,21;231,-1;
22:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Consider the following linear function:
:[font = input; preserveAspect; ]
f[t_] := {1+2t,4-3t}
:[font = text; inactive; preserveAspect; ]
Its graph is:
:[font = input; preserveAspect; ]
ParametricPlot[ f[t], {t,-1,3} ];
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
The domain [-1,3] takes the particle from point
:[font = input; preserveAspect; ]
f[-1]
:[font = text; inactive; preserveAspect; ]
to the point:
:[font = input; preserveAspect; ]
f[3]
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
That is, the line extends from the point (-1,7) to the point (7,-5).
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
The velocity vector is:
:[font = input; preserveAspect; ]
f'[t]
:[font = text; inactive; preserveAspect; endGroup; ]
so the slope of the line is  m = -3/2 .
;[s]
3:0,0;29,1;30,2;40,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; Cclosed; pageBreak; preserveAspect; startGroup; ]
Finally, we use Mathematica to indicate the velocity vector.  First execute these definitions.
;[s]
3:0,0;16,1;27,2;95,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; Cclosed; preserveAspect; startGroup; ]
d = {.2,.3};
pf = ParametricPlot[ f[t], {t,-1,3} ];
p0 = Graphics[ { PointSize[.02], Point[f[0]], 
                  Text["0",f[0]+d] } ];
p1 = Graphics[ { PointSize[.02], Point[f[1]], 
                  Text["1",f[1]+d] } ];
:[font = text; inactive; preserveAspect; endGroup; ]
Here, d is an "offset" to facilitate labeling points, pf is the plot of the function f, and p0 and p1 are two special points on the line.
;[s]
11:0,0;5,1;8,2;53,3;57,4;84,5;86,6;92,7;95,8;98,9;102,10;137,-1;
11:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
With those definitions, the following command shows the velocity vector:
:[font = input; preserveAspect; ]
Show[ pf, p0, p1 ];
:[font = text; inactive; preserveAspect; endGroup; endGroup; endGroup; ]
Here, the points labeled "0" and "1" are the locations of the particle at t=0 and t=1.  Consequently, the velocity vector that vector that extends from the point labeled "0" to the point labeled "1".
;[s]
5:0,0;74,1;75,2;82,3;83,4;199,-1;
5:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Exercises
:[font = text; inactive; preserveAspect; ]
In the following exercises, use the definitions given above to show the velocity vector.  Also, use that vector to determine the slope of the line.
:[font = text; inactive; preserveAspect; ]
1. The line through  (1,5)  and  (2,2) .
:[font = text; inactive; preserveAspect; ]
2. The line through  (1,5)  and  (4,2) .
:[font = text; inactive; preserveAspect; ]
3. The line through  (1,5)  and  (1,2) .
:[font = text; inactive; preserveAspect; endGroup; endGroup; endGroup; ]
4. The line through  (1,5)  and  (5,5) .
^*)